Summary: GNU libraries and utilities for producing multi-lingual messages.
Name: gettext
Version: 0.10.35
Release: 31
License: GPL
Group: Development/Tools
Source: ftp://ftp.gnu.org/gnu/gettext/%{name}-%{version}.tar.gz
Source1: po-mode-init.el
Patch0: gettext-0.10-misc.patch
Patch1: gettext-0.10.35-jbj.patch
Patch2: gettext-0.10.35-arm.patch
Patch3: gettext-0.10.35-hacks.patch
Patch4: gettext-0.10.35-aclocaldir.patch
Patch5: gettext-0.10.35-buildroot.patch
Patch6: gettext-0.10.35-destdir.patch
Patch7: gettext-0.10.35-drepper.patch
Patch8: gettext-0.10.35-oka-plus.patch
Prereq: /sbin/install-info
Buildroot: %{_tmppath}/%{name}-%{version}-droot

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs.  Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs, a runtime library which supports the retrieval of translated
messages, and stand-alone programs for handling the translatable and
the already translated strings.  Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.


%prep
rm -rf %{buildroot}
%setup -q
#%patch0 -p1 -b .misc
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1 -b .buildroot
%patch6 -p0
%patch7 -p1
%patch8 -p1 -b .oka

%build
libtoolize --copy --force
aclocal
automake
autoconf
export EMACS=emacs
%configure --enable-shared --with-included-gettext
make

%install
rm -rf %{buildroot}

# Fix busted no-emacs install for $lispdir/po-mode.el
%makeinstall lispdir=%{buildroot}/usr/share/emacs/site-lisp \
    aclocaldir=%{buildroot}/usr/share/aclocal
    
mkdir -p %{buildroot}/bin
mv %{buildroot}/%{_bindir}/gettext %{buildroot}/bin
ln -s ../../bin/gettext %{buildroot}/%{_bindir}/gettext

pushd %{buildroot}
rm -f .%{_infodir}/dir .%{_includedir}/libintl.h
gzip -9nf .%{_infodir}/*
strip .%{_bindir}/* || :
popd

pushd %{buildroot}/%{_datadir}/locale
for foo in `find . -maxdepth 1 -mindepth 1 -type d` ; do
  lang=`echo $foo | cut -c 3-`
  echo "%lang($lang) %{_datadir}/locale/$foo/*/*" >> \
    $RPM_BUILD_DIR/%{name}-%{version}/trans.list
done
popd

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/gettext.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gettext.info.gz %{_infodir}/dir
fi
exit 0

%files -f trans.list
%defattr(-,root,root)
/bin/*
%{_bindir}/*
%{_infodir}/*
%{_datadir}/gettext
%{_datadir}/aclocal/*
%{_datadir}/emacs/site-lisp/*

%changelog
* Sun Feb 25 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Initialize proper fonts when entering po-mode (#29152)

* Mon Feb 12 2001 Yukihiro Nakai <ynakai@redhat.com>
- More fix about msgmerge.

* Mon Feb 12 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix for msgmerge not to break multibyte strings
  at Japanese locale.

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- fixed the %lang generator to not have "./" in the lang

* Sun Jan 14 2001 Trond Eivind Glomsrd <teg@redhat.com>
- add an init file for the emacs po-mode
- update source URL

* Thu Jan 11 2001 Bill Nottingham <notting@redhat.com>
- put gettext in /bin for initscripts use
- %langify

* Fri Dec 29 2000 Bill Nottingham <notting@redhat.com>
- prereq /sbin/install-info

* Wed Aug 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Added patch from Ulrich Drepper

* Fri Aug 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- update DESTDIR patch (#12072)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix problems wrt to DESTDIR (#12072)

* Thu Jun 22 2000 Preston Brown <pbrown@redhat.com>
- use FHS paths
- add buildroot patch for .../intl/Makefile.in, was using abs. install path

* Fri Apr 28 2000 Bill Nottingham <notting@redhat.com>
- minor configure tweaks for ia64

* Sun Feb 27 2000 Cristian Gafton <gafton@redhat.com>
- add --comments to msghack

* Thu Feb 10 2000 Cristian Gafton <gafton@redhat.com>
- fix bug #9240 - gettextize has the right aclocal patch

* Wed Jan 12 2000 Cristian Gafton <gafton@redhat.com>
- add the --diff and --dummy options

* Wed Oct 06 1999 Cristian Gafton <gafton@redhat.com>
- add the --missing option to msghack

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack not to merge in fuzzies in the master catalogs

* Thu Aug 26 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to understand --append

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to correctly deal with sorting files

* Thu May 06 1999 Cristian Gafton <gafton@redhat.com>
- msghack updates

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Mon Mar 08 1999 Cristian Gafton <gafton@redhat.com>
- added patch for misc hacks to facilitate rpm translations

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to allow to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- add Emacs po-mode.el files.

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- include the aclocal support files

* Fri Sep  3 1998 Bill Nottingham <notting@redhat.com>
- remove devel package (functionality is in glibc)

* Tue Sep  1 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.10.35.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- add gettextize.
- create devel package for libintl.a and libgettext.h.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Nov 02 1997 Cristian Gafton <gafton@redhat.com>
- added info handling
- added misc-patch (skip emacs-lisp modofications)

* Sat Nov 01 1997 Erik Troan <ewt@redhat.com>
- removed locale.aliases as we get it from glibc now
- uses a buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Built against glibc
